## tabix 0.2.4

=== debian/changelog ===
tabix (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2
    (debian/control).

 -- Charles Plessy <plessy@debian.org>  Tue, 12 Apr 2011 17:15:33 +0900

tabix (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #606446)

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Jan 2011 22:16:39 +0900

## tabix 0.2.5

=== Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 -fPIC #-m64 #-arch ppc
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE
LOBJS=		bgzf.o kstring.o knetfile.o index.o bedidx.o
AOBJS=		main.o
PROG=		tabix bgzip
INCLUDES=
SUBDIRS=	.
LIBPATH=
LIBCURSES=	

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)

lib:libtabix.a

libtabix.so.1:$(LOBJS)
		$(CC) -shared -Wl,-soname,libtabix.so -o $@ $(LOBJS) -lc -lz

libtabix.1.dylib:$(LOBJS)
		libtool -dynamic $(LOBJS) -o $@ -lc -lz

libtabix.a:$(LOBJS)
		$(AR) -cru $@ $(LOBJS)

tabix:lib $(AOBJS)
		$(CC) $(CFLAGS) -o $@ $(AOBJS) -lm $(LIBPATH) -lz -L. -ltabix

bgzip:bgzip.o bgzf.o knetfile.o
		$(CC) $(CFLAGS) -o $@ bgzip.o bgzf.o knetfile.o -lz

TabixReader.class:TabixReader.java
		javac -cp .:sam.jar TabixReader.java

kstring.o:kstring.h
knetfile.o:knetfile.h
bgzf.o:bgzf.h knetfile.h
index.o:bgzf.h tabix.h khash.h ksort.h kstring.h
main.o:tabix.h kstring.h bgzf.h
bgzip.o:bgzf.h
bedidx.o:kseq.h khash.h

tabix.pdf:tabix.tex
		pdflatex tabix.tex

cleanlocal:
		rm -fr gmon.out *.o a.out *.dSYM $(PROG) *~ *.a tabix.aux tabix.log tabix.pdf *.class libtabix.*.dylib libtabix.so*

clean:cleanlocal-recur

=== debian/changelog ===
tabix (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Added debian/README.test to explain how to test tabix and bgzip.

 -- Charles Plessy <plessy@debian.org>  Tue, 10 May 2011 19:42:07 +0900

=== debian/control ===
Source: tabix
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>
Build-Depends: cdbs, debhelper (>= 8), zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://samtools.sourceforge.net/tabix.shtml
Vcs-Git: git://git.debian.org/debian-med/tabix.git
Vcs-Browser: http://git.debian.org/?p=debian-med/tabix.git

Package: tabix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generic indexer for TAB-delimited genome position files
 Tabix indexes files where some columns indicate sequence coordinates: name
 (usually a chromosme), start and stop. The input data file must be position
 sorted and compressed by bgzip (provided in this package), which has a gzip
 like interface. After indexing, tabix is able to quickly retrieve data lines by
 chromosomal coordinates. Fast data retrieval also works over network if an URI
 is given as a file name.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_COMPRESS_EXCLUDE  = .tbi

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\/download//,filenamemangle=s/http...sourceforge.net.projects.samtools.files.tabix.//;s/.download// \
  http://sourceforge.net/projects/samtools/files/tabix/ \
  http://sourceforge.net/projects/samtools/files/tabix/tabix-(.*).tar.bz2/download

## tabix 0.2.6

=== debian/changelog ===
tabix (0.2.6-2) unstable; urgency=low

  [ Charles Plessy ]
  b8d4e98 Indicate format to avoid stderr comment that makes autopkgtest fail.
          Closes: #680473, LP: #1021500

  [ Andreas Tille ]
  * debian/control
    - cme fix dpkg-control
    - canonical Vcs fields

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2013 10:46:17 +0100

tabix (0.2.6-1) unstable; urgency=low

  60eb374 Imported Upstream version 0.2.6
  9de2ad5 Removed patches applied or obsoleted upstream.
  2836b51 Refreshed hardening patch.
  7677e45 Regression tests for autopkgtest.

 -- Charles Plessy <plessy@debian.org>  Fri, 22 Jun 2012 13:14:27 +0900

tabix (0.2.5-3) unstable; urgency=low

  * debian/patches/use-dpkg-buildflags.patch: Really enable hardening
    build flags (Thanks for the patch to Simon Ruderich <simon@ruderich.org>)
    Closes: #670759
  * debian/patches/ld-as-needed.patch:  Enable building with --as-needed
    (Thanks to David Shorten <dpshorten@gmail.com> for the patch)
    Closes: #632150

 -- Andreas Tille <tille@debian.org>  Fri, 11 May 2012 13:32:56 +0200

tabix (0.2.5-2) unstable; urgency=low

  [ Charles Plessy ]
  7a09003 Added metadata about Upstream in debian/upstream.
  1a85d96 Refreshed Debian copyright file
  9c70833 Include 7 digits of the commit ID in the changelog entry.

  [ Andreas Tille ]
  * debian/patches/count-set-but-not-used.patch: uncomment unused
    variable
    Closes: #626267
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - removed cdbs from Build-Depends
  * debian/rules: Switched to dh to easily enable hardening flags
  * debhelper 9 (control+compat) to enable building with hardening
    flags
  * debian/patches/use-dpkg-buildflags.patch: Regard hardening flags
  * debian/watch: Use sf.net redirector

 -- Andreas Tille <tille@debian.org>  Wed, 25 Apr 2012 17:02:10 +0200

=== debian/control ===
Source: tabix
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
XS-Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/tabix.git
Vcs-Git: git://anonscm.debian.org/debian-med/tabix.git
Homepage: http://samtools.sourceforge.net/tabix.shtml

Package: tabix
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: generic indexer for TAB-delimited genome position files
 Tabix indexes files where some columns indicate sequence coordinates: name
 (usually a chromosme), start and stop. The input data file must be position
 sorted and compressed by bgzip (provided in this package), which has a gzip
 like interface. After indexing, tabix is able to quickly retrieve data lines by
 chromosomal coordinates. Fast data retrieval also works over network if an URI
 is given as a file name.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=.tbi

=== debian/tests/control ===
Tests: with-example-data

=== debian/watch ===
version=3
http://sf.net/samtools/tabix-(.+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
